
Core - Task # 50827

Task # 50876 (New): Handling of deleted files in FAL

Status: Resolved Priority: Should have
Author: Oliver Hader Category: File Abstraction Layer (FAL)
Created: 2013-08-06 Assigned To:
Updated: 2013-11-10 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity: medium
Sprint Focus:
Subject: Introduce handling of missing files
Description

    -  add sys_file.missing to reflect the temporary missing state
    -  enhance the indexer to set/unset this state

Related issues:
related to Core - Bug # 54394: Editing templavoila Template Objects not working Resolved 2013-12-13
blocks Core - Feature # 51097: Missing files report Resolved 2013-08-16

Associated revisions
Revision 55b8107f - 2013-08-28 13:08 - Frans Saris

[FEATURE] Introduce handling of missing files

To keep track of missing files we introduce a missing
flag is sys_files.
When indexer detects file is missing the flag is set
and reset when file is present again.

In backend a message is shown when a reference to a
missing file is used.

Resolves: #50827
Change-Id: Iaaf9455698507c5cd574f6928fa5a563a49ad121
Reviewed-on: https://review.typo3.org/22913
Reviewed-by: Steffen Ritter
Reviewed-by: Kai Ole Hartwig
Tested-by: Kai Ole Hartwig
Reviewed-by: Mattias Nilsson
Tested-by: Mattias Nilsson
Tested-by: Steffen Ritter

History
#1 - 2013-08-07 11:51 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22913
#2 - 2013-08-16 08:23 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22913

#3 - 2013-08-19 08:35 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22913

#4 - 2013-08-21 08:45 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22913

#5 - 2013-08-27 11:31 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22913

#6 - 2013-08-27 12:20 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22913

#7 - 2013-08-27 12:34 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22913

#8 - 2013-08-28 13:30 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:55b8107f6e1b0ca1ce69c847c446bd07fe060bd1.

#9 - 2013-09-03 21:46 - Ernesto Baschny
- Status changed from Resolved to Accepted
- Target version set to 6.2.0

Has been merged meanwhile (missing "Releases" line in commit msg), so can be closed.

2015-08-04 2/3

https://review.typo3.org/22913
https://review.typo3.org/22913
https://review.typo3.org/22913
https://review.typo3.org/22913
https://review.typo3.org/22913
https://review.typo3.org/22913


#10 - 2013-09-03 21:46 - Ernesto Baschny
- Status changed from Accepted to Under Review

#11 - 2013-09-03 21:48 - Ernesto Baschny

For some strange reason I cannot change the Status of this issue back to "Resolved". Can anyone?

#12 - 2013-09-03 22:11 - Helmut Hummel

Ernesto Baschny wrote:

For some strange reason I cannot change the Status of this issue back to "Resolved". Can anyone?

No. Strange.

#13 - 2013-09-03 22:19 - Ernesto Baschny
- Parent task set to #50876

#14 - 2013-09-03 22:53 - Wouter Wolters

This is (I think) because of the related tasks that are marked as blocking.

#15 - 2013-11-10 13:59 - Steffen Ritter
- Status changed from Under Review to Resolved
